import { User, UserType } from "@/models/User";
import mongoose from "mongoose";
import { NextRequest } from "next/server";

export async function GET(req: NextRequest){
    const url = new URL(req.url);
    const connectionString = process.env.MONGODB_URI
    if(!connectionString){
        return new Response('No db connection string', {status:500});
    }
    if(!url.searchParams.has('ids')){
        return Response.json([])

    }
    const emails = url.searchParams.getAll('ids');
    await mongoose.connect(connectionString)
    const users = await User.find({email: emails});

    return Response.json(users.map((u:UserType) => ({
        id:u.email, 
        name:u.name,
        image:u.image
    })));
}